Groovy 1.7.0

## groovy.swing.factory
Class RootPaneContainerFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.RootPaneContainerFactory

    class RootPaneContainerFactory
    extends AbstractFactory

Property Summary
`static String` | `DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON`
`static String` | `DELEGATE_PROPERTY_DEFAULT_BUTTON`

Constructor Summary
`RootPaneContainerFactory()`

Method Summary
`void` | `handleRootPaneTasks(FactoryBuilderSupport builder, Window container, Map attributes)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON

    public static final String DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON

### DELEGATE_PROPERTY_DEFAULT_BUTTON

    public static final String DELEGATE_PROPERTY_DEFAULT_BUTTON

Constructor Detail

### RootPaneContainerFactory

    RootPaneContainerFactory()

Method Detail

### handleRootPaneTasks

    public void handleRootPaneTasks(FactoryBuilderSupport builder, Window container, Map attributes)

### onNodeCompleted

    public void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2009 The Codehaus. All rights reserved.